Package org.pushingpixels.flamingo.api.common

# Enum Class JCommandButtonPanel.LayoutKind

java.lang.Object
java.lang.Enum<JCommandButtonPanel.LayoutKind>
org.pushingpixels.flamingo.api.common.JCommandButtonPanel.LayoutKind

All Implemented Interfaces:
  `Serializable`, `Comparable<JCommandButtonPanel.LayoutKind>`, `Constable`

Enclosing class:
  `JCommandButtonPanel`

public static enum JCommandButtonPanel.LayoutKind extends Enum<JCommandButtonPanel.LayoutKind>
Enumerates the available layout kinds.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`COLUMN_FILL`
The buttons are layed out in columns respecting the available height.
`ROW_FILL`
The buttons are layed out in rows respecting the available width.

## Method Summary

Modifier and Type
Method
Description
`static JCommandButtonPanel.LayoutKind`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static JCommandButtonPanel.LayoutKind[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### ROW_FILL

public static final JCommandButtonPanel.LayoutKind ROW_FILL
The buttons are layed out in rows respecting the available width.

### COLUMN_FILL

public static final JCommandButtonPanel.LayoutKind COLUMN_FILL
The buttons are layed out in columns respecting the available height.

## Method Details

### values

public static JCommandButtonPanel.LayoutKind[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static JCommandButtonPanel.LayoutKind valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null